<%-- @annotation@
		  Renders a form for export of Xml
--%><%--
  @author Gary Brown.
  @version $Id: Help.jsp,v 1.1.1.1 2005/08/23 13:04:20 isgwb Exp $
--%>
<%@include file="/WEB-INF/jsp/include.jsp"%>

<form action="exportXml.do" method="GET">

<table border="0">
<tr><td>
<h3>Retrieve Group or Stem by id or name</h3>
See <a href="https://wiki.internet2.edu/confluence/display/GrouperWG/Import-Export">XML Export</a><table border="1">
	<c:forEach var="field" items="${exportParamList}">

	<tr><td><c:out value="${field}"/></td><td><input type="text" name="<c:out value="${field}"/>" value="<c:out value="${lastParams[field]}"/>"/></td></tr>
	</c:forEach>
	</table><input type="submit" value="Export XML"/>
	</td><td bgcolor="#cccccc" width="2px"></td><td valign="top">
<h3>Search</h3>

<input type="text" name="searchTerm"/><br/>
<input type="radio" name="searchType" value="groups" checked="checked"/> Groups<br/>
<input type="radio" name="searchType" value="stems"/> Stems<br/>
<input type="radio" name="searchType" value="subjects"/> Subjects<br/>

<input type="submit" name="submit.search" value="Search"/>

</td></tr></table>
<hr/>
The settings above and below affect how much data is exported. Do not try to export your whole repository - or even a large chunk of it... Apart from <i>id</i> and <i>name</i>, enter any character to turn an option on - remove it to turn the option off. There is very little error checking...
<br/>For stems:<ul>
<li><i>exclusive</i> exports that stem only - no parents and no children</li>
<li><i>children</i> exports child stems / groups - but not recursively
</ul>
	<table border="1">
	<c:forEach var="entry" items="${exportProps}">
		 <c:choose>
		<c:when test="${entry.value=='true'}">
			<c:set var="trueChecked"> checked='checked'</c:set>
			<c:set var="falseChecked"></c:set>
		</c:when>
		<c:otherwise>
			<c:set var="falseChecked"> checked='checked'</c:set>
			<c:set var="trueChecked"></c:set>
		</c:otherwise>
	 </c:choose>
		<tr><td><c:out value="${entry.key}"/></td><td><input type="radio" name="<c:out value="${entry.key}"/>" value="true" <c:out value="${trueChecked}"/>/> true</td><td><input type="radio" name="<c:out value="${entry.key}"/>" value="false" <c:out value="${falseChecked}"/>/> false</td></tr>
	</c:forEach>
	</table>



</form>